Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class MedAdminRequestList

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.MedAdminRequestList

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class MedAdminRequestList

extends Object
implements Serializable

Java class for MedAdminRequestListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedAdminRequestListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareRequest"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SinglePalliativeCareRequest"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleSpecificTechnicalCareRequest"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MedAdminRequestList()`

Method Summary
`List<Serializable>` | `getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests()` Gets the value of the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MedAdminRequestList

    public MedAdminRequestList()

Method Detail

### getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests

    public List<Serializable> getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests()

  Gets the value of the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.

  For example, to add a new item, do as follows:

          getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests().add(newItem);

  Objects of the following type(s) are allowed in the list `SingleNurseContractualCareRequest` `SinglePalliativeCareRequest` `SingleSpecificTechnicalCareRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.